gtkmm: Gdk::PixbufError Class Reference

gtkmm 4.14.0

Public Types | Public Member Functions | List of all members
Gdk::PixbufError Class Reference

Exception class for Gdk::Pixbuf errors. More...

`#include <gdkmm/pixbuf.h>`

Inheritance diagram for Gdk::PixbufError:
[legend]

## Public Types
enum | Code { CORRUPT_IMAGE , INSUFFICIENT_MEMORY , BAD_OPTION , UNKNOWN_TYPE , UNSUPPORTED_OPERATION , FAILED , INCOMPLETE_ANIMATION }
| An error code in the `GDK_PIXBUF_ERROR` domain. More...

## Public Member Functions
| PixbufError (Code error_code, const Glib::ustring &error_message)
| PixbufError (GError *gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
const char * | what () const noexcept override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for Gdk::Pixbuf errors.

## Member Enumeration Documentation

## ◆ Code

enum Gdk::PixbufError::Code

An error code in the `GDK_PIXBUF_ERROR` domain.

Many gdk-pixbuf operations can cause errors in this domain, or in the `G_FILE_ERROR` domain.

Enumerator
CORRUPT_IMAGE | An image file was broken somehow.
INSUFFICIENT_MEMORY | Not enough memory.
BAD_OPTION | A bad option was passed to a pixbuf save module.
UNKNOWN_TYPE | Unknown image type.
UNSUPPORTED_OPERATION | Don't know how to perform the given operation on the type of image at hand.
FAILED | Generic failure code, something went wrong.
INCOMPLETE_ANIMATION | Only part of the animation was loaded.

## Constructor & Destructor Documentation

## ◆ PixbufError() [1/2]

Gdk::PixbufError::PixbufError | ( | Code | error_code,
|  | const Glib::ustring & | error_message )

## ◆ PixbufError() [2/2]

Gdk::PixbufError::PixbufError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gdk::PixbufError::code | ( |  | ) | const